import {
  select,
  csv,
  pie,
  arc,
  scaleOrdinal,
  schemeCategory10,
  format
} from 'd3';

const xAxisTickFormat = number =>
  	format('')(number);

var data;
const csvUrl =
 'https://gist.githubusercontent.com/LakshmiVandanaNunna/f9a0e61b1ff7abe4e0b224417ff2170c/raw/58883a4dccb532351f4fcc2ede009f178cf15a64/electiondata_USAbyState_2020.csv';

 csv(csvUrl).then(csvData => {
    csvData.sort((data1, data2) => data2.DEM-data1.DEM);
    if (csvData) {
      data = csvData.slice(0, 5);
      
      const svg = select('svg'),
      width = svg.attr('width'),
      height = svg.attr('height');

      const radius = 200;
      const g = svg.append('g').attr('transform', `translate(${width / 2}, ${height / 2})`);

      const color = scaleOrdinal(schemeCategory10);

      const pie = d3.pie().value(d => d.DEM);

      const path = arc().outerRadius(radius).innerRadius(0);

      const label = arc().outerRadius(radius).innerRadius(radius - 150);

      const pies = g.selectAll('.arc').data(pie(data)).enter().append('g').attr('class', 'arc');

      pies.append('path').attr('d', path).attr('fill', d => color(d.data.DEM));

      pies.append('text')
        .text(d => d.data.state)
        .attr('class', 'arcText')
        .attr('transform', function(d) {
          return "translate(" + label.centroid(d) + ")";
        })
      }
});